Bug 11387 - Installer can not set bootloader in hda16
: Installer can not set bootloader in hda16
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alterator-lilo)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-04-06 16:37 by
Modified: 2008-09-22 14:59 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-04-06 16:37:02
При установке на уже заполненый диск, пришлось убрать пару разделов и создать
нужное заново из установщика. Корень тестовой системы оказался на hda16.
Попытка
установить туда загрузчик закончилась его установкой в hda7. Естественно
система
не смогла загрузиться.
Steps to Reproduce:
1. Имеем диск с кучей разделов.
2. Из установщика часть разделов удаляем под новую установку.
3. Создаем нужные разделы так чтоб корень оказался на hda16.
4. Просим установщик установить лило на hda16.
Actual Results:  
Устанавливается lilo на hda7.

Expected Results:  
Должен установиться на hda16.
------- Comment #1 From 2007-04-06 16:53:22 -------
reassign to install2

2ldv: наверное на такое можно будет нарваться в релизе у клиентов.
------- Comment #2 From 2007-04-06 19:14:49 -------
Отказываться от fdisk я не намерен. Нужно попробовать обновить fdisk, если он
не
видит больше 15 разделов. В крайнем случае перейти на GNU'шную версию fdisk, в
котором этой ошибки нет:
git.alt:/people/legion/packages/gfdisk.git
------- Comment #3 From 2007-04-06 21:06:03 -------
А зачем сейчас у тебя fdisk используется ? может быть можно как-то выбрать без
него ?
------- Comment #4 From 2007-04-06 21:18:26 -------
(In reply to comment #3)
> А зачем сейчас у тебя fdisk используется ? может быть можно как-то выбрать без
> него ? 

Для всего. Для вывода информации о разделах и дисках, для выставления флагов ...
легче в модуль посмотреть.
------- Comment #5 From 2007-04-06 21:41:02 -------
обновлять fdisk мне кажется бесполезно, а вот gfdisk - наверное хороший
вариант.
------- Comment #6 From 2007-04-07 03:27:35 -------
Если открыть дорогу к hda16/sda16, то всплывут другие ошибки.
Сергей может прокомментировать.
------- Comment #7 From 2007-04-07 11:21:50 -------
hda16 теоретически должен работать, а вот sda16 окажется недоступен
стандартными
средствами (хотя до таких разделов можно добраться через evms). Наличие более
15
разделов на диске превратится в проблему при последующей миграции с драйверов
ide на libata.

Кстати, кроме fdisk, есть ещё sfdisk, где ограничение в 15 разделов отсутствует
(мне удалось создать 130).
------- Comment #8 From 2007-04-07 12:14:29 -------
И, кстати, sfdisk более удобен для скриптования.
------- Comment #9 From 2007-11-10 15:33:10 -------
(In reply to comment #7)
> Наличие более 15 разделов на диске превратится в проблему при последующей 
> миграции с драйверов ide на libata.
INVALID/WONTFIX?

(OTOH там вроде поднимали лимит количества разделов недавно?)

------- Comment #10 From 2007-11-11 21:56:26 -------
Это актуально, но уже для другого пакета.

sfdisk не предоставляет той же информации что fdisk. Чтобы решить проблему нужно
написать утилиту для вычисления размера диска/раздела в человеческих единицах.
------- Comment #11 From 2008-05-08 19:22:54 -------
Я этим модулем больше не занимаюсь.
На нового разработчика.

Reassign => slazav@
------- Comment #12 From 2008-09-22 14:59:50 -------
исправлено в
1.0-alt11

для получения списка разделов используется hal